Subject: Re: [PATCH 3/3] mtd/ifc: Segregate IFC fcm and runtime registers

From: Brian Norris <[email-masked]>
Date: Mon, 1 Feb 2016 12:43:39 -0800

On Mon, Feb 01, 2016 at 01:41:45PM -0600, Li Yang wrote:
> On Mon, Feb 1, 2016 at 4:46 AM, Raghav Dogra <[email-masked]> wrote:
> 
> A general comment is that you should include the linux-mtd mailing
> list and it's maintainers for this set of patches.  Although the
> MAINTAINERS file doesn't specify a maintainer for drivers/memory
> directory, it should be most related to linux-mtd, IMO.

Yes, please resend.

This is especially odd, considering that it appears your resending here
is in direct response to my comments on the linux-mtd mailing list, and
neither I nor linux-mtd were CC'd on this iteration...

> > IFC has two set of registers viz FCM (Flash control machine)
> > aka global and run time registers. These set are defined in two
> > memory map PAGES. Upto IFC 1.4 PAGE size is 4 KB and from IFC2.0
> > PAGE size is 64KB
> 
> So I guess this patch is the critical change to make the fsl_ifc
> driver work with the version 2.0 hardware block?  If so, it will be
> better to mention this in the patch title.

I made a similar comment on the 1st version. But I can't see the patch
this time :(

> > Signed-off-by: Jaiprakash Singh <[email-masked]>
> > Signed-off-by: Raghav Dogra <[email-masked]>
> > ---
> >  drivers/memory/fsl_ifc.c        | 251 +++++++++++++++++++++-------------------
> >  drivers/mtd/nand/fsl_ifc_nand.c |  72 ++++++------
> >  include/linux/fsl_ifc.h         |  48 +++++---
> >  3 files changed, 203 insertions(+), 168 deletions(-)

Brian